class Processus:
    """
    Modélise un processus.
    """
    def __init__(self, id: str, date_arrivee: int, duree: int):
        """
        id : identifiant (str)
        duree : durée ( restante ) d'éxécution (int)
        date_arrivee : date d'arrivée dans la file d'attente (int)
        """
        self.id = id
        self.duree = duree
        self.date_arrivee = date_arrivee

    def executer(self)->None:
        """
        Diminue la durée d'éxécution du processus de 1.
        """
        self.duree -= 1

    def est_termine(self)->bool:
        """
        renvoie un booléen signalant si l'éxécution du processus est terminée ( durée d'éxécution = 0 )
        """
        return self.duree == 0